### Enumeration

# WebKit InputPurpose

#### Declaration

    enum WebKit.InputPurpose

#### Description [src]

Enum values used to describe the primary purpose of the active editable element.

Available since: | 2.28

#### Members

Name | Description
--- | ---
`WEBKIT_INPUT_PURPOSE_FREE_FORM` | Editable element expects any characters.
`WEBKIT_INPUT_PURPOSE_DIGITS` | Editable element expects digits.
`WEBKIT_INPUT_PURPOSE_NUMBER` | Editable element expects a number.
`WEBKIT_INPUT_PURPOSE_PHONE` | Editable element expects a telephone.
`WEBKIT_INPUT_PURPOSE_URL` | Editable element expects a URL.
`WEBKIT_INPUT_PURPOSE_EMAIL` | Editable element expects an email.
`WEBKIT_INPUT_PURPOSE_PASSWORD` | Editable element expects a password.